Skip to main content
GET
/
v2
/
wallets
List wallets
curl --request GET \
  --url https://api.hyperline.co/v2/wallets \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "wal_PPpxP5d3uvgiTT",
      "customer_id": "cus_QalW2vTAdkR6IY",
      "state": "active",
      "currency": "EUR",
      "balance": {
        "amount": 2400
      },
      "projected_balance": {
        "amount": 2400
      },
      "created_at": "2024-12-20T16:04:11Z",
      "low_projected_balance_threshold": 10000,
      "is_auto_load_enabled": true,
      "auto_load_type": "paid",
      "auto_load_amount": 20000,
      "auto_load_reset": false,
      "auto_load_interval": {
        "period": "months",
        "count": 1
      },
      "auto_load_next_date": "2024-12-20T16:04:11Z",
      "auto_load_threshold": 5000
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

customer_id
string
take
number | null
default:50
Required range: 0 <= x <= 100
skip
number | null
default:0
Required range: x >= 0

Response

200 - application/json
meta
object
required
data
object[]
required

List of Wallet.